/* Exemplet visar hur ett slumptal räknas om till ett heltal inom givna gränser.
   I detta fall mellan 1 till 6, så att det kan användas som värde för en tärning. */
// --------------------------------------------------
// Globala variabler
let diceElems;	// Array med img-element för alla tärningar
let resElem;	// Element för resultat
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
	diceElems = document.querySelectorAll("#dice img");
	document.querySelector("#allDiceBtn").addEventListener("click", throwAllDice);
	resElem = document.querySelector("#result");
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Kasta en tärning och byt bild till det nya värdet
function throwDie(dieElem) {
    dieElem.classList.toggle("rotateDie");
    let dieValue = Math.floor(6 * Math.random()) + 1;
    dieElem.src = "img/dice/" + dieValue + ".png";
    return dieValue;
} // Slut throwDie
// --------------------------------------------------
// Kasta alla tärningar
function throwAllDice() {
	let sum = 0; // Summan av tärningarnas värden
	for (let i = 0; i < diceElems.length; i++) {
        let value = throwDie(diceElems[i]);
		sum += value;
	}
	resElem.innerHTML = "Summan av tärningarna är " + sum;
} // Slut throwAllDice
// --------------------------------------------------
