/* Exemplet visar hur ett slumptal räknas om till ett heltal som används som index
   till en array. Därmed kan man slumpmässigt välja ett av värdena i listan.
   I den ena funktionen lämnas arrayen oförändrad, så samma värde kan väljas flera gånger.
   I den andra funktionen tas det valda värdet bort ur arrayen med splice().
   Därmed kan det inte väljas mer än en gång. */
// --------------------------------------------------
// Globala variabler
const fruits = ["Äpple", "Banan", "Kiwi", "Citron", "Apelsin", "Päron", "Persika", "Ananas", "Melon"]; // Namn på frukter
let copyOfFruits = [];		// Array som ska bli en kopia av fruits
let randomFruit;            // Slumpmässigt vald frukt
let res1Elem, res2Elem;		// Element för resultat
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
	document.querySelector("#fruit1Btn").addEventListener("click", randomFruit1);
	document.querySelector("#copyBtn").addEventListener("click", freshFruits);
	document.querySelector("#fruit2Btn").addEventListener("click", randomFruit2);
	res1Elem = document.querySelector("#result1");
	res2Elem = document.querySelector("#result2");
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Välj en frukt ur originallistan. Samma frukt kan väljas flera gånger.
function randomFruit1() {
    /* Samma frukt kan komma efter varandra
	let r = Math.floor(fruits.length * Math.random());
    randomFruit = fruits[r];
    */

    let oldFruit = randomFruit;
    while (oldFruit == randomFruit) { // Samma frukt kan ej komma två gånger i rad
        let r = Math.floor(fruits.length * Math.random());
        randomFruit = fruits[r];
    }

	res1Elem.innerText += " " + randomFruit;
} // Slut randomFruit1
// --------------------------------------------------
// Kopiera fruktlistan, som sedan ska användas då man slumpmässigt väljer frukter
function freshFruits() {
	copyOfFruits = fruits.slice(0);
	res2Elem.innerText = "";

	console.log(copyOfFruits);
} // Slut freshFruits
// --------------------------------------------------
// Välj en frukt ur kopian av listan.
// Ta också bort vald frukt ur listan, så att den inte kan väljas igen.
function randomFruit2() {
	if (copyOfFruits.length == 0) {
		res2Elem.innerText += " - slut";
		return;
	}
	let r = Math.floor(copyOfFruits.length * Math.random());
    randomFruit = copyOfFruits[r];
	res2Elem.innerText += " " + randomFruit;
	copyOfFruits.splice(r,1);
	
	console.log(copyOfFruits);
} // Slut randomFruit2
// --------------------------------------------------
