/* Exemplet tar slumpmässigt fram index till en array med spelkort. Då ett kort valts,
   tas det också bort ur arrayen. På detta sätt blir det som att dra kort ur en kortlek.
   Har man dragit ett kort, är det borttaget och kan inte dras igen. */
// --------------------------------------------------
// Globala variabler
const allCards = ["1c","2c","3c","4c","5c","6c","7c","8c","9c","10c","11c","12c","13c",
	"1d","2d","3d","4d","5d","6d","7d","8d","9d","10d","11d","12d","13d",
	"1h","2h","3h","4h","5h","6h","7h","8h","9h","10h","11h","12h","13h",
	"1s","2s","3s","4s","5s","6s","7s","8s","9s","10s","11s","12s","13s"]; // Array med alla kort
let cards;			// Array med kortleken som man drar kort ur (skapas som kopia av allCards)
let sum;			// Summan av korten
let deckElem;		// Element för kortleken
let fiveCardsBtn;	// Knapp för fem nya kort
let removeCardsBtn;	// Knapp för att ta bort dragna kort
let cardElems;		// Array med img-taggarna för dragna kort
let cardIx; 		// Index till cardEelems för den plats där nästa kort ska läggas
let resElem;		// Element för resultat
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
	deckElem = document.querySelector("#deck");
	fiveCardsBtn = document.querySelector("#fiveCardsBtn");
	removeCardsBtn = document.querySelector("#removeCardsBtn");
	cardElems = document.querySelectorAll("#cards img");
	resElem = document.querySelector("#result");
	document.querySelector("#newDeckBtn").addEventListener("click", newDeck);
	deckElem.addEventListener("click", newCard);
	fiveCardsBtn.addEventListener("click", fiveNewCards);
	removeCardsBtn.addEventListener("click", clearCardSlots);
	fiveCardsBtn.disabled = true;
	removeCardsBtn.disabled = true;
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// "Ta fram en ny kortlek", dvs kopiera allCards till cards
function newDeck() {
	cards = allCards.slice(0); // Kopiera allCards till cards
	clearCardSlots();
	deckElem.style.visibility = "visible";
	fiveCardsBtn.disabled = false;
	removeCardsBtn.disabled = false;
} // Slut newDeck
// --------------------------------------------------
// Töm platserna för kort samt nollställ korträknare och summa
function clearCardSlots() {
	cardIx = 0;
	sum = 0;
	for (let i = 0; i < 5; i++) {
		cardElems[i].src = "img/cards/empty.png";
	}
    resElem.innerHTML = "";
} // Slut clearCardSlots
// --------------------------------------------------
// Dra fem kort ur kortleken (cards).
function fiveNewCards() {
	clearCardSlots();
	for (let i = 0; i < 5; i++) {
		newCard();
	}
} // Slut fiveNewCard
// --------------------------------------------------
// Generera ett slumptal mellan 0 och antal kort som finns kvar i cards.
// Använd slumptalet som index till cards, för att få valt kort.
// Visa kortet i platsen cardElems[cardIx]
// Bestäm värde för kortet utifrån siffrorna i kortets namn och addera det till summan.
// Ta bort draget kort ur kortleken (cards).
function newCard() {
    if (cardIx > 4) {
		resElem.innerHTML += "<br>Du har redan fem kort.";
		return;
	}
	if (cards.length == 0) {
		return;
	}
	let r = Math.floor(cards.length * Math.random());
	cardElems[cardIx].src = "img/cards/" + cards[r] + ".png";
	let cardValue = parseInt(cards[r]);
	sum += cardValue;
	cards.splice(r, 1); // Ta bort valt kort ur kortleken
	cardIx++;
	resElem.innerText = "Summa av korten är " + sum;
	checkDeck();
} // Slut newCard
// --------------------------------------------------
// Om det inte finns några fler kort, dölj kortleken och inaktivera knapparna
function checkDeck() {
	if (cards.length == 0) {
		resElem.innerHTML += "<br>Det finns inga fler kort.";
		deckElem.style.visibility = "hidden";
		fiveCardsBtn.disabled = true;
		removeCardsBtn.disabled = true;
	}
} // Slut checkDeck
// --------------------------------------------------
